Name: apt-conf-hpc
Version: 4.1
Release: alt0.M41.1

Summary: A set of apt configuration files for ALT Linux %version HPC
License: GPL
Group: System/Configuration/Packaging
Packager: Stanislav Ievlev <inger@altlinux.org>

Source: %name-%version.tar

Provides: apt-conf = %version-%release, %_sysconfdir/apt/pkgpriorities
PreReq: coreutils
%{expand:%%global o_list %(for n in Castle Compact Junior Master Spring; do echo -n "apt-conf-$n "; done)}
%{?o_list:Obsoletes: %o_list}
Conflicts: apt <= 0:0.5.15cnc6-alt14

%description
This package contains default apt configuration for ALT Linux %version HPC

%prep
%setup -q

%build
subst -p "s/@arch@/$RPM_ARCH/g" sources.list.d/*.list

%install
mkdir -p %buildroot%_sysconfdir/apt/{sources,vendors}.list.d
install -pm644 pkgpriorities *.list %buildroot%_sysconfdir/apt/
install -pm644 sources.list.d/* %buildroot%_sysconfdir/apt/sources.list.d/
install -pm644 vendors.list.d/* %buildroot%_sysconfdir/apt/vendors.list.d/

%triggerpostun -- apt < 0.3.19cnc51-alt3 %{?o_list:%o_list}
f=%_sysconfdir/apt/sources.list
if [ ! -f "$f" ]; then
	if [ -f "$f".rpmsave ]; then
		cp -pf "$f".rpmsave "$f"
	elif [ -f "$f".rpmnew ]; then
		cp -pf "$f".rpmnew "$f"
	fi
fi

%files
%config(noreplace) %_sysconfdir/apt

%changelog
* Tue Oct 14 2008 Stanislav Ievlev <inger@altlinux.org> 4.1-alt0.M41.1
- build for 4.1

* Tue Oct 14 2008 Stanislav Ievlev <inger@altlinux.org> 4.1-alt1
- Initial build
